Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIFocus.Properties

    java.lang.Object
      java.lang.Enum<UIFocus.Properties>
          org.richfaces.component.UIFocus.Properties

All Implemented Interfaces:
  Serializable, Comparable<UIFocus.Properties>

Enclosing class:
  UIFocus

    protected static enum UIFocus.Properties

extends Enum<UIFocus.Properties>

Enum Constant Summary
`ajaxRendered`
`delayed`
`keepTransient`
`preserve`
`validationAware`

Method Summary
`static UIFocus.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIFocus.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ajaxRendered

    public static final UIFocus.Properties ajaxRendered

### delayed

    public static final UIFocus.Properties delayed

### keepTransient

    public static final UIFocus.Properties keepTransient

### preserve

    public static final UIFocus.Properties preserve

### validationAware

    public static final UIFocus.Properties validationAware

Method Detail

### values

    public static UIFocus.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIFocus.Properties c : UIFocus.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIFocus.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.